.rm-btn{
  display:inline-flex;
  align-items:center;
  gap:5px;
  background-color:#bc8b2c;
  text-decoration:none;          /* we control underline on text only */
  line-height:1;
  border-radius: 30px 30px;

}

.rm-btn .rm-text{
  text-decoration: none;    /* like your screenshot */
  text-underline-offset: 3px;
  padding-right: 10px;
  font-size: 16px;
}

.rm-btn .rm-icon.black{
  background-image: url('../images/icon-button.svg');
  object-fit: contain;
}

.rm-btn .rm-icon.white{
  background-image: url('../images/button/icon-button.png');
  object-fit: contain;
  height: 20px;
  width: 20px;
}


.rm-btn .rm-icon{
  width: 32px;
  height: 32px;
  display:inline-block;
  background-repeat:no-repeat;
  background-position:center;
  background-size: 100% 100%;

  transform: scale(1);
  transition: transform .18s ease;
}

.rm-btn {
  transform: scale(1);
  transition: transform .18s ease;
}

/* Hover zoom (icon only) */
.rm-btn:hover,
.rm-btn:focus-visible {
  transform: scale(1.05);
  background-color: #414042;
}

/* Optional: nice focus ring */
.rm-btn:focus-visible{
  outline: 2px solid currentColor;
  outline-offset: 4px;
}